# Uses of Enum Class
java.time.zone.ZoneOffsetTransitionRule.TimeDefinition

Packages that use ZoneOffsetTransitionRule.TimeDefinition
Package
Description
java.time.zone
Support for time-zones and their rules.

## Uses of ZoneOffsetTransitionRule.TimeDefinition in java.time.zone

Methods in java.time.zone that return ZoneOffsetTransitionRule.TimeDefinition
Modifier and Type
Method
Description
`ZoneOffsetTransitionRule.TimeDefinition`
ZoneOffsetTransitionRule.`getTimeDefinition()`
Gets the time definition, specifying how to convert the time to an instant.
`static ZoneOffsetTransitionRule.TimeDefinition`
ZoneOffsetTransitionRule.TimeDefinition.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ZoneOffsetTransitionRule.TimeDefinition[]`
ZoneOffsetTransitionRule.TimeDefinition.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.time.zone with parameters of type ZoneOffsetTransitionRule.TimeDefinition
Modifier and Type
Method
Description
`static ZoneOffsetTransitionRule`
ZoneOffsetTransitionRule.`of(Month month, int dayOfMonthIndicator, DayOfWeek dayOfWeek, LocalTime time, boolean timeEndOfDay, ZoneOffsetTransitionRule.TimeDefinition timeDefinition, ZoneOffset standardOffset, ZoneOffset offsetBefore, ZoneOffset offsetAfter)`
Obtains an instance defining the yearly rule to create transitions between two offsets.